From 36663459d2322c574984d6a106c1d51de94a8fff Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Sat, 21 Jan 2012 23:58:22 +0100
Subject: [PATCH 09/11] bluray: Don't crash when providing an incorrect path.

---
 modules/access/bluray.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/modules/access/bluray.c b/modules/access/bluray.c
index 7774ebc..8dd01a9 100644
--- a/modules/access/bluray.c
+++ b/modules/access/bluray.c
@@ -176,6 +176,11 @@ static int blurayOpen( vlc_object_t *object )
 
     /* Warning the user about AACS/BD+ */
     const BLURAY_DISC_INFO *disc_info = bd_get_disc_info(p_sys->bluray);
+    if ( disc_info->bluray_detected == 0 )
+    {
+        error_msg = "Path doesn't appear to be a bluray";
+        goto error;
+    }
     msg_Info(p_demux, "First play: %i, Top menu: %i\n"
                       "HDMV Titles: %i, BD-J Titles: %i, Other: %i",
              disc_info->first_play_supported, disc_info->top_menu_supported,
-- 
1.7.8.4

